Bug 1738177 - salt depends on Python 2
Summary: salt depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: salt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Murphy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:22 UTC by Lumír Balhar
Modified: 2019-08-31 20:06 UTC (History)
6 users (show)

Fixed In Version: salt-2019.2.1rc0-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 20:06:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:22:37 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for salt's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to salt.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:48:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Lumír Balhar 2019-08-15 07:47:51 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 3 Lumír Balhar 2019-08-22 07:02:21 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 David Murphy 2019-08-22 15:32:31 UTC
SaltStack is planning on moving to fully Python 3 in Fedora, just having an issue with supporting Tornado v5.x with Python 3, however it is planned to have the issue with Tornado v5.x resolved in Salt's Neon release which will be before the end of the year, if not sooner.

At present there are a few corner cases in testing remaining to be resolved in support with Tornado v5.x in the Neon release. Once those are resolved, then Neon will be released, that is, Tornado v5.x support on Python 3 with Salt is critical for the Neon release and once resolved Neon will be released.

Comment 5 Petr Viktorin 2019-08-26 11:13:25 UTC
Thank you.

We plan to remove remaining Python 2 packages in mid-November. If it starts looking like this won't be done by that time, please let us know. Salt and its dependencies would need a FESCo exception, but we can help with filing it.

Comment 6 David Murphy 2019-08-27 22:39:03 UTC
SaltStack will be supplying a Salt snapshot from Neon with support for Tornado v5.x on Python 3, before Labor Day (planets align).
It will have some corner case issues but should work.

Comment 7 David Murphy 2019-08-29 22:30:08 UTC
Updated Fedora 31 with a Salt 2019.2.1 Release Candidate 0 with Tornado v5.x support on Python 3.
Has some corner case issues (memory) but it should function.

https://bodhi.fedoraproject.org/updates/FEDORA-2019-bf4eaae8a9

Comment 8 Lumír Balhar 2019-08-30 04:50:26 UTC
Thank you! I'm just curious - why not do this in rawhide first?

Comment 9 David Murphy 2019-08-30 15:24:01 UTC
I usually leave Rawhide to last when building packages (leave the surprises to last), and yesterday got called away for a family issue (everyone fine now) but had to stop in mid stream.  Rawhide has been updated this morning.

37356162 build (rawhide, /rpms/salt.git:aa9426e9952eb59577ba532f81508b1a1372e7d1) completed successfully


Sorry for the delay but was unavoidable.

Comment 10 David Murphy 2019-08-30 16:21:11 UTC
Rawhide updated with tornado and distro fix, 
37357059 build (rawhide, /rpms/salt.git:a0bd766a278699a6904a2ad5e54b0f625cfb95b3) completed successfully

Updated Fedora 31 builds with tornado and distro fixes too, and quick hand unit-test that install and function on the same box.

Comment 11 Miro Hrončok 2019-08-31 20:06:18 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.